<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFHyperlink (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFHyperlink (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":42,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFHyperlink.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFHyperlink" class="title">Class HSLFHyperlink</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.usermodel.HSLFHyperlink</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                           title="interface in org.apache.poi.common.usermodel">Hyperlink</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSLFHyperlink</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
              title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</pre>
                <div class="block">Represents a hyperlink in a PowerPoint document</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#HSLFHyperlink-org.apache.poi.hslf.record.ExHyperlink-org.apache.poi.hslf.record.InteractiveInfo-">HSLFHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
                                        title="class in org.apache.poi.hslf.record">ExHyperlink</a>&nbsp;exHyper,
                                    <a href="../../../../../org/apache/poi/hslf/record/InteractiveInfo.html"
                                       title="class in org.apache.poi.hslf.record">InteractiveInfo</a>&nbsp;info)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-org.apache.poi.hslf.usermodel.HSLFShape-">find</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</code>
                                    <div class="block">Find hyperlink assigned to the supplied shape</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-org.apache.poi.hslf.usermodel.HSLFTextShape-">find</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>&nbsp;shape)</code>
                                    <div class="block">Find hyperlinks in a text shape</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected static java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-java.util.List-">find</a></span>(java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>
                                    <div class="block">Find hyperlinks in a text paragraph</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getAddress--">getAddress</a></span>()</code>
                                    <div class="block">Hyperlink address.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getEndIndex--">getEndIndex</a></span>()</code>
                                    <div class="block">Gets the ending character position</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
                                        title="class in org.apache.poi.hslf.record">ExHyperlink</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getExHyperlink--">getExHyperlink</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getId--">getId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/InteractiveInfo.html"
                                        title="class in org.apache.poi.hslf.record">InteractiveInfo</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getInfo--">getInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getLabel--">getLabel</a></span>()</code>
                                    <div class="block">Return text label for this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getStartIndex--">getStartIndex</a></span>()</code>
                                    <div class="block">Gets the beginning character position</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/TxInteractiveInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record">TxInteractiveInfoAtom</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getTextRunInfo--">getTextRunInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getType--">getType</a></span>()</code>
                                    <div class="block">Gets the type of the hyperlink action.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#getTypeEnum--">getTypeEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>getType</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToEmail-java.lang.String-">linkToEmail</a></span>(java.lang.String&nbsp;emailAddress)</code>
                                    <div class="block">Link to an email</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToFirstSlide--">linkToFirstSlide</a></span>()</code>
                                    <div class="block">Link to the first slide in this slideshow</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToLastSlide--">linkToLastSlide</a></span>()</code>
                                    <div class="block">Link to the last slide in this slideshow</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToNextSlide--">linkToNextSlide</a></span>()</code>
                                    <div class="block">Link to the next slide (relative from the current)</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToPreviousSlide--">linkToPreviousSlide</a></span>()</code>
                                    <div class="block">Link to the previous slide (relative from the current)</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToSlide-org.apache.poi.sl.usermodel.Slide-">linkToSlide</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;slide)</code>
                                    <div class="block">Link to a slide in this slideshow</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToUrl-java.lang.String-">linkToUrl</a></span>(java.lang.String&nbsp;url)</code>
                                    <div class="block">Link to a web page / URL</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#setAddress-java.lang.String-">setAddress</a></span>(java.lang.String&nbsp;str)</code>
                                    <div class="block">Hyperlink address.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#setEndIndex-int-">setEndIndex</a></span>(int&nbsp;endIndex)</code>
                                    <div class="block">Sets the ending character position</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#setLabel-java.lang.String-">setLabel</a></span>(java.lang.String&nbsp;label)</code>
                                    <div class="block">Sets text label for this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#setStartIndex-int-">setStartIndex</a></span>(int&nbsp;startIndex)</code>
                                    <div class="block">Sets the beginning character position</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#setTextRunInfo-org.apache.poi.hslf.record.TxInteractiveInfoAtom-">setTextRunInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/TxInteractiveInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record">TxInteractiveInfoAtom</a>&nbsp;txinfo)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFHyperlink-org.apache.poi.hslf.record.ExHyperlink-org.apache.poi.hslf.record.InteractiveInfo-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFHyperlink</h4>
                                <pre>protected&nbsp;HSLFHyperlink(<a
                                        href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
                                        title="class in org.apache.poi.hslf.record">ExHyperlink</a>&nbsp;exHyper,
                        <a href="../../../../../org/apache/poi/hslf/record/InteractiveInfo.html"
                           title="class in org.apache.poi.hslf.record">InteractiveInfo</a>&nbsp;info)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getExHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExHyperlink</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
                                                    title="class in org.apache.poi.hslf.record">ExHyperlink</a>&nbsp;getExHyperlink()</pre>
                            </li>
                        </ul>
                        <a name="getInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInfo</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/InteractiveInfo.html"
                                        title="class in org.apache.poi.hslf.record">InteractiveInfo</a>&nbsp;getInfo()</pre>
                            </li>
                        </ul>
                        <a name="getTextRunInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextRunInfo</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/TxInteractiveInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record">TxInteractiveInfoAtom</a>&nbsp;getTextRunInfo()</pre>
                            </li>
                        </ul>
                        <a name="setTextRunInfo-org.apache.poi.hslf.record.TxInteractiveInfoAtom-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextRunInfo</h4>
                                <pre>protected&nbsp;void&nbsp;setTextRunInfo(<a
                                        href="../../../../../org/apache/poi/hslf/record/TxInteractiveInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record">TxInteractiveInfoAtom</a>&nbsp;txinfo)</pre>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;getType()</pre>
                                <div class="block">Gets the type of the hyperlink action.
                                    Must be a <code>LINK_*</code> constant</code></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getType--">getType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the hyperlink URL</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hslf/record/InteractiveInfoAtom.html"
                                           title="class in org.apache.poi.hslf.record"><code>InteractiveInfoAtom</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTypeEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTypeEnum</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
               title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;getTypeEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getType</code> instead</span></div>
                                <div class="block">Gets the type of the hyperlink action.
                                    Must be a <code>LINK_*</code> constant</code></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getTypeEnum--">getTypeEnum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the hyperlink URL</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hslf/record/InteractiveInfoAtom.html"
                                           title="class in org.apache.poi.hslf.record"><code>InteractiveInfoAtom</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="linkToEmail-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkToEmail</h4>
                                <pre>public&nbsp;void&nbsp;linkToEmail(java.lang.String&nbsp;emailAddress)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html#linkToEmail-java.lang.String-">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Link to an email</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>emailAddress</code> - the email address</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="linkToUrl-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkToUrl</h4>
                                <pre>public&nbsp;void&nbsp;linkToUrl(java.lang.String&nbsp;url)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html#linkToUrl-java.lang.String-">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Link to a web page / URL</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>url</code> - the url</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="linkToSlide-org.apache.poi.sl.usermodel.Slide-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkToSlide</h4>
                                <pre>public&nbsp;void&nbsp;linkToSlide(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;slide)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html#linkToSlide-org.apache.poi.sl.usermodel.Slide-">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Link to a slide in this slideshow</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>slide</code> - the linked slide</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="linkToNextSlide--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkToNextSlide</h4>
                                <pre>public&nbsp;void&nbsp;linkToNextSlide()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html#linkToNextSlide--">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Link to the next slide (relative from the current)</div>
                            </li>
                        </ul>
                        <a name="linkToPreviousSlide--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkToPreviousSlide</h4>
                                <pre>public&nbsp;void&nbsp;linkToPreviousSlide()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html#linkToPreviousSlide--">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Link to the previous slide (relative from the current)</div>
                            </li>
                        </ul>
                        <a name="linkToFirstSlide--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkToFirstSlide</h4>
                                <pre>public&nbsp;void&nbsp;linkToFirstSlide()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html#linkToFirstSlide--">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Link to the first slide in this slideshow</div>
                            </li>
                        </ul>
                        <a name="linkToLastSlide--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkToLastSlide</h4>
                                <pre>public&nbsp;void&nbsp;linkToLastSlide()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html#linkToLastSlide--">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Link to the last slide in this slideshow</div>
                            </li>
                        </ul>
                        <a name="getAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAddress</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getAddress()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getAddress--">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Hyperlink address. Depending on the hyperlink type it can be URL,
                                    e-mail, path to a file, etc.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getAddress--">getAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the address of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAddress-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAddress</h4>
                                <pre>public&nbsp;void&nbsp;setAddress(java.lang.String&nbsp;str)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setAddress-java.lang.String-">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Hyperlink address. Depending on the hyperlink type it can be URL,
                                    e-mail, path to a file, etc.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setAddress-java.lang.String-">setAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>str</code> - the address of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getId</h4>
                                <pre>public&nbsp;int&nbsp;getId()</pre>
                            </li>
                        </ul>
                        <a name="getLabel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLabel</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getLabel()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getLabel--">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Return text label for this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getLabel--">getLabel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text to display</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLabel-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLabel</h4>
                                <pre>public&nbsp;void&nbsp;setLabel(java.lang.String&nbsp;label)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setLabel-java.lang.String-">Hyperlink</a></code></span>
                                </div>
                                <div class="block">Sets text label for this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setLabel-java.lang.String-">setLabel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>label</code> - text label for this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStartIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStartIndex</h4>
                                <pre>public&nbsp;int&nbsp;getStartIndex()</pre>
                                <div class="block">Gets the beginning character position</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the beginning character position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStartIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStartIndex</h4>
                                <pre>public&nbsp;void&nbsp;setStartIndex(int&nbsp;startIndex)</pre>
                                <div class="block">Sets the beginning character position</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startIndex</code> - the beginning character position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEndIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndIndex</h4>
                                <pre>public&nbsp;int&nbsp;getEndIndex()</pre>
                                <div class="block">Gets the ending character position</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ending character position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEndIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEndIndex</h4>
                                <pre>public&nbsp;void&nbsp;setEndIndex(int&nbsp;endIndex)</pre>
                                <div class="block">Sets the ending character position</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>endIndex</code> - the ending character position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="find-org.apache.poi.hslf.usermodel.HSLFTextShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>find</h4>
                                <pre>public static&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;&nbsp;find(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>&nbsp;shape)</pre>
                                <div class="block">Find hyperlinks in a text shape</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shape</code> - <code>TextRun</code> to lookup hyperlinks in</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>found hyperlinks or <code>null</code> if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="find-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>find</h4>
                                <pre>protected static&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;&nbsp;find(java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</pre>
                                <div class="block">Find hyperlinks in a text paragraph</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>paragraphs</code> - List of <code>TextParagraph</code> to lookup
                                        hyperlinks
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>found hyperlinks</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="find-org.apache.poi.hslf.usermodel.HSLFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>find</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&nbsp;find(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&nbsp;shape)</pre>
                                <div class="block">Find hyperlink assigned to the supplied shape</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shape</code> - <code>Shape</code> to lookup hyperlink in</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>found hyperlink or <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFHyperlink.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
